function hideButtonsIfTypeMatches(typeToCheck, buttonIds) {
    // Function to get URL parameters
    let params = new URLSearchParams(window.location.search);
    let typeParam = params.get('type');

    // Check if the 'type' parameter matches the given type
    if (typeParam === typeToCheck) {
        // Hide buttons by their IDs
        buttonIds.forEach(id => {
            let button = document.getElementById(id);
            if (button) {
                button.style.display = 'none';
            }
        });
    }
}
hideButtonsIfTypeMatches('1', ['email', 'button2', 'button3']);