<?php
session_start(); // Start the session

require '../database/database_connection.php';

// Check if the user is logged in
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] === true) {
    $conn = new mysqli($servername, $username, $password, $database);

    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    // Delete all data in the love table
    $stmt = $conn->prepare("DELETE FROM love");

    if ($stmt->execute()) {
        $response = array("success" => true);
    } else {
        $response = array("success" => false, "error" => $stmt->error);
    }

    $stmt->close();

    // Delete users.json file
    $file_path = '../datauser/users.json';
    if (file_exists($file_path)) {
        if (unlink($file_path)) {
            $response['file_deleted'] = true;
        } else {
            $response['file_deleted'] = false;
            $response['file_error'] = "Unable to delete file.";
        }
    } else {
        $response['file_deleted'] = false;
        $response['file_error'] = "File does not exist.";
    }

    $conn->close();

    // Redirect to ../admin/
    header("Location: ../admin/");
    exit();
} else {
    
    exit();
}
?>
