<?php
require '../database/database_connection.php';

if (isset($_POST['uniqueid']) && !empty($_POST['uniqueid'])) {
    $uniqueid = $_POST['uniqueid'];
    $conn = new mysqli($servername, $username, $password, $database);

    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    $stmt = $conn->prepare("DELETE FROM love WHERE uniqueid = ?");
    $stmt->bind_param("s", $uniqueid);

    if ($stmt->execute()) {
        $response = array("success" => true);
        echo json_encode($response);
    } else {
        $response = array("success" => false, "error" => $stmt->error);
        echo json_encode($response);
    }

    $stmt->close();
    $conn->close();
} else {
    $response = array("success" => false, "error" => "Unique ID not provided");
    echo json_encode($response);
}
?>
