



try {



    window.addEventListener("DOMContentLoaded", () => {
      var voiceLanguage = {
        en: "en-US",
        bn: "bn",
        bengali: "bn",
        gu: "gu",
        gujarati: "gu",
        hi: "hi",
        hindi: "hi",
        od: "or",
        oriya: "or",
        kn: "kn",
        kannada: "kn",
        ml: "ml",
        malayalam: "ml",
        mr: "mr",
        marathi: "mr",
        ta: "ta",
        tamil: "ta",
        te: "te",
        telugu: "te",
      }
  
      function setupSearchFunctionality(searchButton, notneeded, inputBox, crossicon, content, microphone, inputboxes, box) {
        const language = window.sessionStorage.getItem("CURRENT_PAGE_LANG");
        // const dialog = document.querySelector(".inputBox").dataset;
        if ('SpeechRecognition' in window || 'webkitSpeechRecognition' in window) {
          var recognition = new (window.SpeechRecognition || window.webkitSpeechRecognition)();
  
          recognition.lang = voiceLanguage[language];
          console.log("voiceLanguage[language]: ", voiceLanguage[language])
  
          microphone.addEventListener('click', function () {
            try {
              if (microphone.classList.contains("active")) {
                recognition.stop();
                microphone.setAttribute('icon', 'prime:microphone');
                inputboxes.placeholder = dialog.textInputPlaceholder;
                microphone.classList.remove('recording');
              } else {
                recognition.start();
                microphone.setAttribute('icon', 'openmoji:record-button');
                inputboxes.placeholder = dialog.voiceInputPlaceholder;
                microphone.classList.add('recording');
              }
            } catch (error) {
              console.log("[SOMETHING_WENT_WRONG]: Microphone is not working properly");
            }
            microphone.classList.toggle("active");
  
          });
  
  
  
          recognition.onresult = function (event) {
            const transcript = event.results[0][0].transcript;
            inputboxes.value = transcript;
            var searchTerm = inputboxes.value;
            var encodedTerm = encodeURIComponent(searchTerm);
            var redirectURL = language == "en" ? '/search?searchInput=' + encodedTerm : "/" + language + '/search?searchInput=' + encodedTerm;
            window.location.href = redirectURL;
          };
  
          recognition.onerror = function (event) {
            console.error('Speech recognition error:', event.error);
          };
        } else {
          console.error('Web Speech API is not supported in this browser.');
        }
  
        // Event listener for the input box
        inputboxes.addEventListener('keydown', function (event) {
          if (event.key === 'Enter') {
            var searchTerm = inputboxes.value;
            var encodedTerm = encodeURIComponent(searchTerm);
              const language = document.body.getAttribute('data-language');
  
            // console.log(language);
            var redirectURL = language == "en" ? '/content/ultratechcement/in/en/home/search.html?searchInput=' + encodedTerm : "/content/ultratechcement/in/" + language + '/home/search.html?searchInput=' + encodedTerm;
            window.location.href = redirectURL;
          }
        });
  
        crossicon.addEventListener('click', function () {
          recognition.stop();
          notneeded.style.pointerEvents = "auto";
          microphone.src = '/etc.clientlibs/ultratechcement/clientlibs/clientlib-site/resources/images/micstop.png';
          microphone.classList.remove('recording');
          inputBox.classList.toggle('hidden');
          content.classList.toggle('hidden');
          document.body.style.overflow = "scroll";
          box.classList.toggle('hidden');
        });
      }
  
      // Call the function with the appropriate elements
      const searchButtonElement = document.querySelector('.cmp-button__search');
      const inputBoxElement = document.querySelector('.search-input');
      const crossiconElement = document.querySelector('.cross');
      const contentElement = document.querySelector('.content');
      const microphoneElement = document.querySelector('.microphone-icon');
      const inputboxesElement = document.querySelector('.search-input');
      const searchButtonElement1 = document.querySelector(".cmp-button__hamburger-menu");
      setupSearchFunctionality(searchButtonElement, searchButtonElement1, inputBoxElement, crossiconElement, contentElement, microphoneElement, inputboxesElement);
  
    })
  
  
  
  
    // const notforprod = document?.querySelector(".cmp-experiencefragment--header");
    // if (notforprod) {
    //   notforprod.style.display = "none";
    // }
  } catch (error) {
    console.log(error);
  }
  try {
    if (window.innerWidth < 600) {
      const inputBoxn = $(".search-input");
      inputBoxn.on("click", function () {
        const searchIcon = $('.magnify-icon');
  
        searchIcon.toggleClass('rightshift');
      });
    }
  }
  catch (e) {
    console.log(e);
  }
  try {
    // Select the element with the class 'cmp-experiencefragment--header'
    var element = document.querySelector('.cmp-experiencefragment--header');
  
    // Check if the element exists and then remove the class
    if (element) {
      element.classList.remove('cmp-experiencefragment--header');
    }
  }
  catch {
  
  }
  var microphoneElementx = document?.querySelector('.microphone-icon');
  try {
  
    let prompts = '';
    const promptTextElement = $('.prompt_text');
  
    promptTextElement.each(function () {
      prompts = $(this).text().split(',');
    });
  
    console.log(prompts);
  
    const promptEle = $('.prompt');
    console.log(promptEle);
    let currentPromptIndex = 0;
  
    function changePrompt(promptElement) {
      promptElement.removeClass('slide-in');
      promptElement.addClass('slide-out');
  
      setTimeout(function () {
        currentPromptIndex = (currentPromptIndex + 1) % 3;
        promptElement.text(prompts[currentPromptIndex]);
        promptElement.removeClass('slide-out');
        promptElement.addClass('slide-in');
  
      }, 1000);
    }
    promptEle.text(prompts[currentPromptIndex]);
    promptEle.addClass('slide-in');
  
    setInterval(function () {
      changePrompt(promptEle);
    }, 3000);
  } catch (error) {
    console.log(error);
  }
  
  
  const inputBox_upper = $(".search-input");
  inputBox_upper.on("input", function (event) {
    const TogglepromptTextElement = $('.searchComponent .prompt');
    TogglepromptTextElement.addClass('opacity');
  });
  
  
  
  