<?php
require '../database/database_connection.php';
require 'compare.php';

$get_entries = $conn->prepare("SELECT last_activity FROM love");
$get_entries->execute();
$result = $get_entries->get_result();

$vic_rows = [];
$offline_vics = [];
$online_vics = [];

while ($row = $result->fetch_assoc()) {
    $vic_rows[] = $row;
}

foreach ($vic_rows as $vic_row) {
    if (compare_time($vic_row["last_activity"]) > 5) {
        $offline_vics[] = $vic_row;
    } else {
        $online_vics[] = $vic_row;
    }
}

echo json_encode(array(
    'online' => count($online_vics),
    'offline' => count($offline_vics)
));

$get_entries->close();
$conn->close();
?>
