
try{

    // Get the search button element
    var searchButton = document.querySelector(".cmp-button__search--variation");
  
    // Function to create the popup
    function createPopup() {
      // Create the popup container
      var searchPopup = document.createElement("div");
      searchPopup.id = "search-popup";
      searchPopup.style.position = "fixed";
      searchPopup.style.top = "0";
      searchPopup.style.left = "0";
      searchPopup.style.width = "100%";
      searchPopup.style.height = "100%";
      searchPopup.style.background = "rgba(0, 0, 0, 0.5)";
      searchPopup.style.display = "flex";
      searchPopup.style.justifyContent = "center";
      searchPopup.style.alignItems = "center";
      searchPopup.style.zIndex = "1000";
  
      // Create the popup content
      var popupContent = document.createElement("div");
      popupContent.className = "popup-content";
      popupContent.style.background = "white";
      popupContent.style.padding = "20px";
      popupContent.style.borderRadius = "5px";
      popupContent.style.textAlign = "center";
  
      // Create the search component
      var searchComponent = document.createElement("div");
      searchComponent.className = "search-component";
      var searchInput = document.createElement("input");
      searchInput.type = "text";
      searchInput.placeholder = "Search...";
      var searchButton = document.createElement("button");
      searchButton.type = "button";
      searchButton.textContent = "Search";
      searchComponent.appendChild(searchInput);
      searchComponent.appendChild(searchButton);
  
      // Create the close button
      var closePopupButton = document.createElement("button");
      closePopupButton.id = "close-popup";
      closePopupButton.textContent = "Close";
      closePopupButton.style.marginTop = "10px";
  
      // Append elements to the popup content
      popupContent.appendChild(searchComponent);
      popupContent.appendChild(closePopupButton);
  
      // Append popup content to the popup container
      searchPopup.appendChild(popupContent);
  
      // Append the popup container to the body
      document.body.appendChild(searchPopup);
  
      // Add event listener to close the popup
      closePopupButton.addEventListener("click", function() {
        document.body.removeChild(searchPopup);
      });
  
      // Optional: Close the popup when clicking outside of the popup content
      searchPopup.addEventListener("click", function(event) {
        if (event.target === searchPopup) {
          document.body.removeChild(searchPopup);
        }
      });
  
      // Add search functionality
      searchButton.addEventListener("click", function() {
        var searchTerm = searchInput.value;
        var encodedTerm = encodeURIComponent(searchTerm);
        var language = window.sessionStorage.getItem("CURRENT_PAGE_LANG") || "en";
        var redirectURL = language === "en" ? '/search?searchInput=' + encodedTerm : "/" + language + '/search?searchInput=' + encodedTerm;
        window.location.href = redirectURL;
      });
    }
  
    // Add click event listener to the search button
    searchButton.addEventListener("click", function() {
      createPopup();
    });
  
  }
  catch(e){
    console.log(e)
  }
  
  
  
  try{
      document.addEventListener('DOMContentLoaded', function() {
      const phoneIcons = document.querySelectorAll('.cmp-button__icon--home-icon--phone');
      
      phoneIcons.forEach(icon => {
          icon.addEventListener('click', function(event) {
              // Find the button inside this icon
              const button = this.querySelector('.cmp-button');
              
              if (button) {
                  event.preventDefault(); // Prevent any default behavior
                  
                  // Get the href attribute of the button
                  const href = button.getAttribute('href');
                  
                  if (href) {
                      // Redirect to the href
                      window.location.href = href;
                  }
              }
          });
      });
  });
  }
  catch(e){
      console.log(e)
  }
  
  
  var hamburgerMenuBtn = document.querySelector('.crosses');
  var mobile_item_container = document.querySelector('.cmp-accordian__header-accordian');
  
  var containerSet = document.querySelector('.cmp-container--active-right-container');
  hamburgerMenuBtn.addEventListener(('click'), function () {
    containerSet.classList.toggle("active-container");
  
  });
  
  
  
  
  
  
  